Bug 1478269 - SELinux is preventing certwatch from using the 'dac_read_search' capabilities.
SELinux is preventing certwatch from using the 'dac_read_search' capabilities.
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:ca6761bb1643421331a78b1353c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 03:06 EDT by MIGAUD Abdi
Modified: 2017-08-14 14:58 EDT (History)
8 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-260.4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MIGAUD Abdi 2017-08-04 03:06:50 EDT
Description of problem:
SELinux is preventing certwatch from using the 'dac_read_search' capabilities.

*****  Plugin dac_override (91.4 confidence) suggests   **********************

If vous souhaitez identifier si le domaine nécessite cet accès ou si vous possédez un fichier avec les mauvaises permissions sur votre système
Then activez le contrôle complet pour obtenir les informations de chemin du fichier fautif et générer l'erreur à nouveau.
Do

Activer le contrôle complet
# auditctl -w /etc/shadow -p w
Tentez de recréer AVC. Puis exécutez
# ausearch -m avc -ts recent
Si vous voyez un enregistrement PATH, vérifiez les propriétés/permissions du fichier, et corrigez-les, 
sinon veuillez effectuer un rapport bugzilla.

*****  Plugin catchall (9.59 confidence) suggests   **************************

If vous pensez que certwatch devrait avoir des capacités dac_read_search par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
allow this access for now by executing:
# ausearch -c 'certwatch' --raw | audit2allow -M my-certwatch
# semodule -X 300 -i my-certwatch.pp

Additional Information:
Source Context                system_u:system_r:certwatch_t:s0-s0:c0.c1023
Target Context                system_u:system_r:certwatch_t:s0-s0:c0.c1023
Target Objects                Unknown [ capability ]
Source                        certwatch
Source Path                   certwatch
Port                          <Inconnu>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.3.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.11-300.fc26.x86_64 #1 SMP Mon
                              Jul 17 16:32:11 UTC 2017 x86_64 x86_64
Alert Count                   12
First Seen                    2017-08-03 11:19:01 CEST
Last Seen                     2017-08-04 07:21:01 CEST
Local ID                      93e76239-e773-4053-8a46-a3bc2877c2a7

Raw Audit Messages
type=AVC msg=audit(1501824061.985:282): avc:  denied  { dac_read_search } for  pid=8803 comm="certwatch" capability=2  scontext=system_u:system_r:certwatch_t:s0-s0:c0.c1023 tcontext=system_u:system_r:certwatch_t:s0-s0:c0.c1023 tclass=capability permissive=0


Hash: certwatch,certwatch_t,certwatch_t,capability,dac_read_search

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport

Potential duplicate: bug 1389945

Note You need to log in before you can comment on or make changes to this bug.